## ros-kinetic-cob-docker-control 0.6.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_docker_control)

find_package(catkin REQUIRED)

catkin_package()

install(PROGRAMS
  scripts/fake_docking.py
  scripts/multi_station_docker_control.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-cob-docker-control (0.6.10-1xenial) xenial; urgency=high

  * Merge pull request #56 <https://github.com/ipa320/cob_substitute/issues/56> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Fri, 16 Oct 2020 22:00:00 -0000

ros-kinetic-cob-docker-control (0.6.9-1xenial) xenial; urgency=high

  * Merge pull request #55 <https://github.com/ipa320/cob_substitute/issues/55> from fmessmer/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * python3 compatibility via 2to3
  * Contributors: Felix Messmer, fmessmer

 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-docker-control (0.6.8-1xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-docker-control (0.6.7-1xenial) xenial; urgency=high

  * Merge pull request #50 <https://github.com/ipa320/cob_substitute/issues/50> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #48 <https://github.com/ipa320/cob_substitute/issues/48> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #45 <https://github.com/ipa320/cob_substitute/issues/45> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-docker-control (0.6.6-1xenial) xenial; urgency=high

  * added fake_docking executable
    removed unused docker_control
  * manually fix changelog
  * Contributors: fmw-ss, ipa-fxm

 -- Florian Weisshardt <florian.weisshardt@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-cob-docker-control (0.6.5-1xenial) xenial; urgency=high

  * add substitution packages for docking
  * Contributors: Florian Weisshardt

 -- Florian Weisshardt <florian.weisshardt@ipa.fraunhofer.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-docker-control (0.6.4-1xenial) xenial; urgency=high



 -- Florian Weisshardt <florian.weisshardt@ipa.fraunhofer.de>  Sun, 24 Apr 2016 22:00:00 -0000

ros-kinetic-cob-docker-control (0.6.1-1xenial) xenial; urgency=high



 -- Florian Weisshardt <florian.weisshardt@ipa.fraunhofer.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-kinetic-cob-docker-control (0.6.0-1xenial) xenial; urgency=high



 -- Florian Weisshardt <florian.weisshardt@ipa.fraunhofer.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-kinetic-cob-docker-control (0.5.2-1xenial) xenial; urgency=high



 -- Florian Weisshardt <florian.weisshardt@ipa.fraunhofer.de>  Sun, 24 Aug 2014 22:00:00 -0000

ros-kinetic-cob-docker-control (0.5.1-1xenial) xenial; urgency=high



 -- Florian Weisshardt <florian.weisshardt@ipa.fraunhofer.de>  Wed, 26 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-cob-docker-control
Section: misc
Priority: optional
Maintainer: Jannik Abbenseth <jba@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-cob-docker-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Autonomous docking

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-docker-control//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
